Package org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups

# Enum Class IDifferenceGroupProvider.ComparisonType

java.lang.Object
java.lang.Enum<IDifferenceGroupProvider.ComparisonType>
org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups.IDifferenceGroupProvider.ComparisonType

All Implemented Interfaces:
  `Serializable`, `Comparable<IDifferenceGroupProvider.ComparisonType>`, `java.lang.constant.Constable`

Enclosing interface:
  IDifferenceGroupProvider

public static enum IDifferenceGroupProvider.ComparisonType extends Enum<IDifferenceGroupProvider.ComparisonType>
Type of comparison a `IDifferenceGroupProvider` can handle.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BOTH`
Can handle both comparison type.
`THREE_WAY`
Only three way comparison.
`TWO_WAY`
Only two way comparison.

## Method Summary

Modifier and Type
Method
Description
`static IDifferenceGroupProvider.ComparisonType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IDifferenceGroupProvider.ComparisonType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### THREE_WAY

public static final IDifferenceGroupProvider.ComparisonType THREE_WAY
Only three way comparison.

### TWO_WAY

public static final IDifferenceGroupProvider.ComparisonType TWO_WAY
Only two way comparison.

### BOTH

public static final IDifferenceGroupProvider.ComparisonType BOTH
Can handle both comparison type.

## Method Details

### values

public static IDifferenceGroupProvider.ComparisonType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IDifferenceGroupProvider.ComparisonType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null